<div id="inte-wizard">
  <mat-card class="container">
    <mat-card-title>Pré-enregistrement des Bizuths 1A</mat-card-title>
    <mat-horizontal-stepper #stepper [linear]="true">
      <mat-step #memberStep completed="false" editable="false">
        <ng-template matStepLabel>Profil adhérent</ng-template>
        <p>Créez un profil adhérent </p>
        <div id="recherche">
          <app-edit (out)="holdMember($event);memberStep.completed=true;stepper.next()" [isEmbedded]="true"></app-edit>
        </div>
      </mat-step>

      <mat-step #paiementStep completed="false" editable="false" label="Pointage chèques">
        <div *ngIf="member !== undefined">
          <div *ngIf="!demandeWei; else ouiWei">
            <div *ngIf="!member.has_valid_membership; else dejaMembership">
              <app-create-membership (out)="paiementStep.completed=true;stepper.next()"
                                     [idAdherent]="member.id"></app-create-membership>
            </div>
            <ng-template #dejaMembership>
              Le chèque VA de cet adhérent a déjà été pointé ! Il a déjà une adhésion valide.
            </ng-template>
          </div>
          <ng-template #ouiWei>
            <button color="primary" mat-button routerLink="/wei/bizuth/{{member.id}}">Ficher Wei</button>
          </ng-template>
        </div>
      </mat-step>

      <mat-step #finalStep>
        <ng-template matStepLabel="">Terminé</ng-template>
        <div *ngIf="member">
          <section class="mat-typography">
            <mat-card>
              <mat-card-title class="title" id="nom-prenom">{{member.first_name}} {{member.last_name}}</mat-card-title>
              <mat-chip-list *ngIf="member.student_profile">
                <mat-chip>{{member.student_profile.study_year}}</mat-chip>
                <mat-chip color="accent" selected>{{member.student_profile.department}}</mat-chip>
                <mat-chip color="primary" selected>{{member.student_profile.school}}</mat-chip>
              </mat-chip-list>
              <mat-list>
                <mat-list-item>
                  <span *ngIf="member.gender=='M'">Homme</span>
                  <span *ngIf="member.gender=='W'">Femme</span>
                  , actuellement {{member.category}}
                </mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Né le {{member.birthday|date: "dd/MM/yyyy"}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Téléphone: {{member.phone}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Email: {{member.email}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item *ngIf="member.has_valid_card">
                  Cet adhérent possède {{member.cards?.length}}&nbsp;
                  <span *ngIf="member.cards?.length == 1">carte </span>
                  <span *ngIf="member.cards?.length != 1">cartes</span>
                  &nbsp;VA
                </mat-list-item>
              </mat-list>
            </mat-card>
          </section>
        </div>
      </mat-step>

    </mat-horizontal-stepper>
    <div [routerLink]="['/reset', '/preenregistrer']" class="preset-button">
      <button color="primary" mat-fab>
        <mat-icon>refresh</mat-icon>
      </button>
      <button color="primary" mat-button>Recommencer</button>
    </div>
  </mat-card>
</div>
